
integer retry = 5                                           ; retry counter

proc main

    string repfile= "j:\mustang\mustang.rep"                ; upload path 

    for retry = 5 downto 0

        statmsg "Dialing Mustang Support BBS"
        dial "25"                                           ; whichever dialing entry
                                                            ; reset retries to 1 or 2
                                                            
		if connected                                        ; wait for connect
            statmsg "Waiting for login prompt"
			waitfor "first name" 30
            if waitfor                                      ; make sure we're really connected 
            	transmit "!ChowdaNet BBS Password^M"        ; stick your name in here
            else
                goto loop
            endif 											; Will bypass logon screens

            statmsg "Waiting for TomCat prompt"     														;for some user levels
			waitfor "]:" 30
            if  waitfor
                statmsg "Downloading mail packet"
                transmit "D"                                ; tomCat
                waitfor "done" 180
                if waitfor
                    transmit "Y" 
                    waitfor "Start" 180
                    if waitfor
                        getfile zmodem
                    else
                        goto loop
                    endif
                else
                    statmsg "No mail packet generated"
                endif
            else
                goto loop
            endif
            
			isfile repfile                                  ; check for reply

			if success 
				waitfor "TOMCAT MENU" 120                   ; upload reply
                if  waitfor
                    statmsg "Uploading reply packet"
                    transmit "U"
                else
                    goto loop
                endif
                
                waitfor "Start" 120
                if  waitfor
                    sendfile zmodem repfile
                else
                    goto loop
                endif
                
				if success                                  ; if we're cool, 
					delete repfile                          ; delete outgoing packet
				endif                                       ; so it doesnt get sent next time
			else
                statmsg "No reply packet waiting"
            endif
            
            quit

		endif

        loop:
            statmsg "Error detected... restarting dialing sequence"
    endfor
    
endproc

